package com.ruoyi.bst.areaJoin.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AreaJoinPermission {

    AREA_VIEW("area:view", "查看运营区"),
    AREA_EDIT("area:edit", "操作运营区"),
    FAULT_VIEW("fault:view", "查看故障"),
    FAULT_EDIT("fault:edit", "故障审核"),
    ORDER_VIEW("order:view", "查看订单"),
    ORDER_EDIT("order:edit", "操作订单"),
    DEVICE_VIEW("device:view", "查看车辆"),
    DEVICE_EDIT("device:edit", "操作车辆"),
    ORDER_VIEW_AMOUNT("order:view:amount", "查看订单金额"),
    CUSTOMER_SERVICE_VIEW("customerService:view", "查看客服"),
    CUSTOMER_SERVICE_EDIT("customerService:edit", "操作客服");
    
    private final String code;
    private final String name;

}
